{% extends 'base.html' %}

{% block title %}Home{% endblock %}

{% block content %}
	<button class="btn btn-primary my-1 mx-1 text-decoration-none">
		<a href="{% url 'todolist:add_event'%}" class="text-light text-decoration-none">
			Add Event
		</a>
	</button>
	<button class="btn btn-secondary my-1 mx-1 text-decoration-none">
		<a href="{% url 'todolist:add_task'%}" class="text-light text-decoration-none">
			Add Task
		</a>
	</button>
	{% if todoitem_list and user.is_anonymous == False %}
		<h1 class="text-center my-3">Welcome {{user.first_name}} {{user.last_name}}!</h1>
		<div class="container">
			<div class="row">
				<h3 class="text-center mb-3">My Tasks</h3>
				<ul class="list-group col-lg-2 offset-lg-5 text-center">
				  	{% for todoitem in todoitem_list %}
				    <a href="{% url 'todolist:viewitem' todoitem.id %}" class="text-decoration-none">
				    	<li class="list-group-item">{{ todoitem.task_name }}</li>
				    </a>
				    {% endfor %}
				</ul>
			</div>
		</div>	
		{% if todoitem_events and user.is_anonymous == False %}
			<div class="container">
				<div class="row">
					<h3 class="text-center mb-3">My Event</h3>
					<ul class="list-group col-lg-2 offset-lg-5 text-center">
						{% for event in todoitem_events %}
						<a href="{% url 'todolist:viewevent' event.id %}" class="text-decoration-none">
							<li class="list-group-item">{{ event.event_name }}</li>
						</a>
						{% endfor %}
					</ul>
				</div>
			</div>
		{% endif %}				
	{% elif user.is_anonymous == True %}
		<h1 class="text-center my-3">You are not authorized to access this page.</h1>
		<p class="text-center">Kindly login <a href="login">here</a></p>
	{% else %}
		<p>No tasks have been created.</p>
	{% endif %}
{% endblock %}
